Package org.apache.sling.commons.testing.integration

# Class HttpAnyMethod

java.lang.Object
org.apache.commons.httpclient.HttpMethodBase
org.apache.sling.commons.testing.integration.HttpAnyMethod

All Implemented Interfaces:
  `org.apache.commons.httpclient.HttpMethod`

public class HttpAnyMethod extends org.apache.commons.httpclient.HttpMethodBase
Allows any HTTP method for HtttpClient

## Field Summary

### Fields inherited from class org.apache.commons.httpclient.HttpMethodBase

`effectiveVersion, statusLine`

## Constructor Summary

Constructors
Constructor
Description
`HttpAnyMethod(String methodName, String uri)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class org.apache.commons.httpclient.HttpMethodBase

`abort, addCookieRequestHeader, addHostRequestHeader, addProxyConnectionHeader, addRequestHeader, addRequestHeader, addRequestHeaders, addResponseFooter, addUserAgentRequestHeader, checkNotUsed, checkUsed, execute, generateRequestLine, getAuthenticationRealm, getContentCharSet, getDoAuthentication, getEffectiveVersion, getFollowRedirects, getHostAuthState, getHostConfiguration, getMethodRetryHandler, getParams, getPath, getProxyAuthenticationRealm, getProxyAuthState, getQueryString, getRecoverableExceptionCount, getRequestCharSet, getRequestHeader, getRequestHeaderGroup, getRequestHeaders, getRequestHeaders, getResponseBody, getResponseBody, getResponseBodyAsStream, getResponseBodyAsString, getResponseBodyAsString, getResponseCharSet, getResponseContentLength, getResponseFooter, getResponseFooters, getResponseHeader, getResponseHeaderGroup, getResponseHeaders, getResponseHeaders, getResponseStream, getResponseTrailerHeaderGroup, getStatusCode, getStatusLine, getStatusText, getURI, hasBeenUsed, isAborted, isConnectionCloseForced, isHttp11, isRequestSent, isStrictMode, processCookieHeaders, processResponseBody, processResponseHeaders, processStatusLine, readResponse, readResponseBody, readResponseHeaders, readStatusLine, recycle, releaseConnection, removeRequestHeader, removeRequestHeader, responseBodyConsumed, setConnectionCloseForced, setDoAuthentication, setFollowRedirects, setHostConfiguration, setHttp11, setMethodRetryHandler, setParams, setPath, setQueryString, setQueryString, setRequestHeader, setRequestHeader, setResponseStream, setStrictMode, setURI, shouldCloseConnection, validate, writeRequest, writeRequestBody, writeRequestHeaders, writeRequestLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpAnyMethod

public HttpAnyMethod(String methodName, String uri)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.apache.commons.httpclient.HttpMethod`
Specified by:
  `getName` in class `org.apache.commons.httpclient.HttpMethodBase`